class TrackAnalyticsJob < ApplicationJob
  queue_as :default

  def perform(user, account, event_name, *args)
    analytics = Analytics.new(user, account)
    analytics.public_send(event_name, *args)
  end
end
